ISWCTYPE(3)

NAME
iswctype - wide-character classification

SYNOPSIS
#include <wctype.h>

int iswctype(wint_t wc, wctype_t desc);

DESCRIPTION
If wc is a wide character having the character property designated by desc (or in other words: belongs to the character class designated by desc), the iswctype() function returns nonzero. Otherwise, it returns zero. If wc is WEOF, zero is returned.

desc must be a character property descriptor returned by the wctype(3) function.

RETURN VALUE
The iswctype() function returns nonzero if the wc has the designated property. Otherwise, it returns 0.

ATTRIBUTES
For an explanation of the terms used in this section, see attributes(7).
Interface | Attribute | Value
 | Thread safety | MT-Safe

CONFORMING TO
POSIX.1-2001, POSIX.1-2008, C99.

NOTES
The behavior of iswctype() depends on the LC_CTYPE category of the current locale.

SEE ALSO
iswalnum(3), iswalpha(3), iswblank(3), iswcntrl(3), iswdigit(3), iswgraph(3), iswlower(3), iswprint(3), iswpunct(3), iswspace(3), iswupper(3), iswxdigit(3), wctype(3)

COLOPHON
This page is part of release 4.06 of the Linux man-pages project. A description of the project, information about reporting bugs, and the latest version of this page, can be found at https://www.kernel.org/doc/man-pages/.